{% extends "../../layout.jinja2" %}

{% block content %}
    <form class="form-horizontal" method="post" action="{{ request.route_path('search') }}">
        <div class="card">
            <h2 class="card-header">Search exposure</h2>
            <div class="card-body">
                <fieldset>
                    <legend>Configuration</legend>

                    <div class="form-row">
                        <div class="form-group col-md-4">
                            {{ form.interferometer.label(class="control-label") }}
                            {{ form.interferometer(class="form-control") }}
                            {% if form.interferometer.errors %}
                                <span class="error help-inline">{{ form.interferometer.errors|join(', ') }}</span>
                            {% endif %}
                            {% if form.interferometer.description %}
                                <p class="help-block">{{ form.interferometer.description|safe }}</p>
                            {% endif %}
                        </div>
                        <div class="form-group col-md-4">
                            {{ form.instrument.label(class="control-label") }}
                            {{ form.instrument(class="form-control") }}
                            {% if form.instrument.errors %}
                                <span class="error help-inline">{{ form.instrument.errors|join(', ') }}</span>
                            {% endif %}
                            {% if form.instrument.description %}
                                <p class="help-block">{{ form.instrument.description|safe }}</p>
                            {% endif %}
                        </div>
                        <div class="form-group col-md-4">
                            {{ form.instrument_mode.label(class="control-label") }}
                            {{ form.instrument_mode(class="form-control") }}
                            {% if form.instrument_mode.errors %}
                                <span class="error help-inline">{{ form.instrument_mode.errors|join(', ') }}</span>
                            {% endif %}
                            {% if form.instrument_mode.description %}
                                <p class="help-block">{{ form.instrument_mode.description|safe }}</p>
                            {% endif %}
                        </div>
                    </div>

                    <div class="form-row">
                        <div class="form-group col-md-6">
                            {{ form.mjd_from.label(class="control-label") }}
                            {{ form.mjd_from(class="form-control") }}
                            {% if form.mjd_from.errors %}
                                <span class="error help-inline">{{ form.mjd_from.errors|join(', ') }}</span>
                            {% endif %}
                            {% if form.mjd_from.description %}
                                <p class="help-block">{{ form.mjd_from.description|safe }}</p>
                            {% endif %}
                        </div>
                        <div class="form-group col-md-6">
                            {{ form.mjd_to.label(class="control-label") }}
                            {{ form.mjd_to(class="form-control") }}
                            {% if form.mjd_to.errors %}
                                <span class="error help-inline">{{ form.mjd_to.errors|join(', ') }}</span>
                            {% endif %}
                            {% if form.mjd_to.description %}
                                <p class="help-block">{{ form.mjd_to.description|safe }}</p>
                            {% endif %}
                        </div>
                    </div>

                    <div class="form-group">
                        {{ form.program_id.label(class="control-label") }}
                        {{ form.program_id(class="form-control") }}
                        {% if form.program_id.errors %}
                            <span class="error help-inline">{{ form.program_id.errors|join(', ') }}</span>
                        {% endif %}
                        {% if form.program_id.description %}
                            <p class="help-block">{{ form.program_id.description|safe }}</p>
                        {% endif %}
                    </div>

                </fieldset>

                <fieldset>
                    <legend>Target</legend>
                    <div class="form-group">
                        {{ form.target_name.label(class="control-label") }}
                        {{ form.target_name(class="form-control") }}
                        {% if form.target_name.errors %}
                            <span class="error help-inline">{{ form.target_name.errors|join(', ') }}</span>
                        {% endif %}
                        {% if form.target_name.description %}
                            <p class="help-block">{{ form.target_name.description|safe }}</p>
                        {% endif %}
                    </div>

                    <div class="form-row">
                        <div class="form-group col-md-5">
                            {{ form.ra.label(class="control-label") }}
                            {{ form.ra(class="form-control") }}
                            {% if form.ra.errors %}
                                <span class="error help-inline">{{ form.ra.errors|join(', ') }}</span>
                            {% endif %}
                            {% if form.ra.description %}
                                <p class="help-block">{{ form.ra.description|safe }}</p>
                            {% endif %}
                        </div>
                        <div class="form-group col-md-5">
                            {{ form.dec.label(class="control-label") }}
                            {{ form.dec(class="form-control") }}
                            {% if form.dec.errors %}
                                <span class="error help-inline">{{ form.dec.errors|join(', ') }}</span>
                            {% endif %}
                            {% if form.dec.description %}
                                <p class="help-block">{{ form.dec.description|safe }}</p>
                            {% endif %}
                        </div>
                        <div class="form-group col-md-2">
                            {{ form.radius.label(class="control-label") }}
                            {{ form.radius(class="form-control") }}
                            {% if form.radius.errors %}
                                <span class="error help-inline">{{ form.radius.errors|join(', ') }}</span>
                            {% endif %}
                            {% if form.radius.description %}
                                <p class="help-block">{{ form.radius.description|safe }}</p>
                            {% endif %}
                        </div>
                    </div>

                </fieldset>

            </div>
            <div class="card-footer">
                <span class="form-inline float-left">
                    {{ form.format(class="form-control") }}
                    {{ form.valid_level(class="form-control") }}
                </span>
                <span class="float-right">
                    <button type="submit" class="btn btn-primary" title="Search">
                        <i class="fa fa-search" aria-hidden="true"></i> Search
                    </button>
                </span>
            </div>
        </div>
    </form>

    <hr/>

    {% if exposures is defined %}
        <div class="card">
            <div class="card-header">{{ exposures|length }} Exposure(s) found</div>
            {% if exposures %}
                <div class="card-body">
                    <table class="table data-table">
                        <thead>
                            <tr>
                                <th>ID</th>
                                <th>Header</th>
                                <th>Instrument</th>
                                <th>Ins. Mode</th>
                                <th>Sub mode</th>
                                <th>Target</th>
                                <th>RA</th>
                                <th>DEC</th>
                                <th>Validation level</th>
                            </tr>
                        </thead>
                        <tbody>
                        {% for exposure in exposures %}
                            <tr>
                                <td><a href="{{ request.route_path('detail', type='exposure', id=exposure.id) }}">{{ exposure.id }}</a></td>
                                <td><a href="{{ request.route_path('detail', type='header', id=exposure.header_id) }}">{{ exposure.header_id }}</a></td>

                                {% with observation = exposure.observation %}
                                    <td><a href="{{ request.route_path('detail', type='instrument', id=observation.instrument.id) }}">{{ observation.instrument.name }}</a></td>
                                    <td>{% if observation.instrument_mode %}{{ observation.instrument_mode.name }}{% endif %}</td>
                                    <td>{{ observation.instrument_submode|default('', true) }}</td>

                                    {% with target = observation.target %}
                                        <td>{{ target.name|default('', true) }}</td>
                                        <td>{% if target.ra != None %}{{ target.ra }}{% endif %}</td>
                                        <td>{% if target.dec != None %}{{ target.dec }}{% endif %}</td>
                                    {% endwith %}
                                {% endwith %}
                                <td>{{ exposure.validation_level }}</td>
                            </tr>
                        {% endfor %}
                        </tbody>
                    </table>
                </div>
            {% endif %}
        </div>
    {% endif %}
{% endblock %}